Skip to main content
GET
List discounts

Editor interactivo de filter

Utiliza este editor para generar un valor que puedes usar en el parámetro filter del query string. Para relaciones, grupos lógicos y más ejemplos, consulta la guía de filtros.

Authorizations

Authorization
string
header
required

Organization API key using Authorization: Bearer sk_....

Query Parameters

filter
object

Filter fields encoded with qs bracket notation.

skip
number
default:0

Pagination offset.

Required range: x >= 0
Example:

0

take
number
default:20

Pagination limit.

Required range: 1 <= x <= 100
Example:

20

orderBy
object

Sort fields encoded with qs bracket notation.

Response

Discounts list

id
string
required

Unique identifier of the discount.

Example:

"disc_1234567890abcdefghij"

createdAt
required

When the discount was created.

Example:

"2025-01-01T00:00:00.000Z"

updatedAt
required

When the discount was last updated.

Example:

"2025-01-01T00:00:00.000Z"

deletedAt
required

When the discount was deleted, if applicable.

Example:

null

name
string
required

Display name of the discount.

Example:

"Buen Fin 20%"

description
string | null
required

Optional description of the discount.

Example:

null

organizationId
string
required

Identifier of the owning organization.

Example:

"org_1234567890abcdefghij"

type
enum<string>
required

Whether the discount is a fixed amount (FIXED) or a percentage (PERCENTAGE).

Available options:
FIXED,
PERCENTAGE
Example:

"PERCENTAGE"

amountOff
integer | null
required

Fixed discount amount in minor currency units. Only set when type is FIXED.

Example:

30000

percentageOff
number | null
required

Percentage to discount. Only set when type is PERCENTAGE.

Example:

20

active
boolean
required

Whether the discount is currently available for new applications.

Example:

true

oneOff
boolean
required

Whether this discount was created for a single-use custom charge.

Example:

false

expiresAt
required

Optional date after which the discount can no longer be applied.

Example:

null

maxApplications
integer | null
required

Maximum total number of times this discount can be applied across all customers.

Example:

3